import React from 'react';
declare type ButtonPropsType = {
    disabled?: boolean;
    size?: ('sm' | 'md' | 'lg');
    children?: React.ReactNode;
    type?: ('primary' | 'success' | 'danger' | 'warning' | 'default' | 'link');
    htmlType?: ('button' | 'submit' | 'reset');
    onClick?: (evt: React.MouseEvent) => void;
    block?: boolean;
    icon?: React.ReactNode;
    loading?: boolean;
};
declare const Button: (props: ButtonPropsType) => JSX.Element;
export default Button;
