var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { forwardRef, useImperativeHandle, useRef } from 'react';
import Input from './input';
var Addon = forwardRef(function (props, cref) {
    var _a = props.addonBefore, addonBefore = _a === void 0 ? '' : _a, _b = props.addonAfter, addonAfter = _b === void 0 ? '' : _b, value = props.value, rest = __rest(props, ["addonBefore", "addonAfter", "value"]);
    useImperativeHandle(cref, function () { return (__assign(__assign({}, ref.current), { value: addonBefore + ref.current.value + addonAfter })); });
    var ref = useRef(null);
    return (addonAfter || addonBefore ? (_jsxs("div", __assign({ className: "mute-input-wrapper" }, { children: [addonBefore && _jsx("div", __assign({ className: "mute-input-addonbefore" }, { children: addonBefore }), void 0),
            _jsx(Input, __assign({ className: "mute-input", ref: ref }, rest, { value: value }), void 0),
            addonAfter && _jsx("div", __assign({ className: "mute-input-addonafter" }, { children: addonAfter }), void 0)] }), void 0))
        :
            _jsx(Input, __assign({ ref: ref }, rest, { value: value }), void 0));
});
export default Addon;
