## Introduction
基于 React 17 开发的 UI 组件
使用 npm + webpack + babel 的工作流，支持 TS
CSS 使用sass


## 📦 Install

```bash
npm install mute-ui
```

```bash
yarn add mute-ui
```

## 🔨 Usage

```jsx
import { Button } from 'mute-ui';

const App = () => (
  <>
    <Button type="primary">PRESS ME</Button>
  </>
);
```

And import style manually:

```jsx
import 'mute-ui/dist/index.css';
```

## Documentation
[mute-ui](https://houyuncheng2020.gitee.io/mute-ui/)

## License

MIT