import React from 'react';
export interface InputProps {
    placeholder?: string;
    size?: string;
    value?: string;
    defaultValue?: string;
    className?: string;
    allowClear?: boolean;
    style?: React.CSSProperties;
    onChange?: (evt: React.ChangeEvent) => void;
}
declare const Input: React.ForwardRefExoticComponent<InputProps & React.RefAttributes<unknown>>;
export default Input;
